# NodeFilter : Object
Return to: HTML DOM Level 2 index

Filters the nodes of a document tree.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
6.0+ | 1.0+ | 6.0+ | 7.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
NodeFilter Constructor() : NodeFilter Filters the nodes of a document tree. | Show Details | 6.0+ | 1.0+ | 6.0+ | 7.0+ | 1.0+

### NodeFilter() : NodeFilter

Filters the nodes of a document tree.

Returns

NodeFilter |

Visibility
  internal

## Functions

Method | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
acceptNode() : Number Defines a node filter and returns one of the three NodeFilter constants. | Show Details | 6.0+ | 1.0+ | 6.0+ | 7.0+ | 1.0+

Returns

Number |

Remarks
  Returns one of the following three values: 1 = FILTER_ACCEPT (accept the node), 2 = FILTER_REJECT (reject the node), 3 = FILTER_SKIP (skip the node).
See Also

  Document.createNodeIterator|Document.createTreeWalker

Availability

  HTML DOM Level 2|W3C

## References

NodeIterator|TreeWalker

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs